Package helma.main

# Class ServerConfig

java.lang.Object
helma.main.ServerConfig

public class ServerConfig extends Object
Utility class for server config

## Constructor Summary

Constructors
Constructor
Description
`ServerConfig()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getApps()`
`File`
`getConfigFile()`
`File`
`getHomeDir()`
`File`
`getPropFile()`
`InetSocketAddress`
`getWebsrvPort()`
`InetSocketAddress`
`getXmlrpcPort()`
`boolean`
`hasApps()`
`boolean`
`hasConfigFile()`
`boolean`
`hasHomeDir()`
`boolean`
`hasPropFile()`
`boolean`
`hasWebsrvPort()`
`boolean`
`hasXmlrpcPort()`
`void`
`setApps(String[] apps)`
`void`
`setConfigFile(File configFile)`
`void`
`setHomeDir(File homeDir)`
`void`
`setPropFile(File propFile)`
`void`
`setWebsrvPort(InetSocketAddress websrvPort)`
`void`
`setXmlrpcPort(InetSocketAddress xmlrpcPort)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerConfig

public ServerConfig()

## Method Details

### hasPropFile

public boolean hasPropFile()

### hasConfigFile

public boolean hasConfigFile()

### hasHomeDir

public boolean hasHomeDir()

### hasXmlrpcPort

public boolean hasXmlrpcPort()

### hasWebsrvPort

public boolean hasWebsrvPort()

### hasApps

public boolean hasApps()

### getXmlrpcPort

public InetSocketAddress getXmlrpcPort()

### setXmlrpcPort

public void setXmlrpcPort(InetSocketAddress xmlrpcPort)

### getWebsrvPort

public InetSocketAddress getWebsrvPort()

### setWebsrvPort

public void setWebsrvPort(InetSocketAddress websrvPort)

### getPropFile

public File getPropFile()

### setPropFile

public void setPropFile(File propFile)

### getHomeDir

public File getHomeDir()

### setHomeDir

public void setHomeDir(File homeDir)

### getConfigFile

public File getConfigFile()

### setConfigFile

public void setConfigFile(File configFile)

### getApps

public String[] getApps()

### setApps

public void setApps(String[] apps)